Main Page Class List Class Members

# Nv::Blast::Serialization::UUID::UUID::Builder Class Reference

`#include <NvBlastExtLlSerialization.capn.h>`

List of all members.

## Public Types
typedef UUID | Builds
## Public Member Functions
void | adoptValue (::capnp::Orphan< ::capnp::Data > &&value)
Reader | asReader () const
| Builder (::capnp::_::StructBuilder base)
| Builder (decltype(nullptr))
| Builder ()
inline::capnp::Orphan < ::capnp::Data > | disownValue ()
inline::capnp::Data::Builder | getValue ()
bool | hasValue ()
inline::capnp::Data::Builder | initValue (unsigned int size)
| operator Reader () const
void | setValue (::capnp::Data::Reader value)
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const
## Friends
struct | ::capnp::_::PointerHelpers
class | ::capnp::Orphanage
struct | ::capnp::ToDynamic_

## Member Typedef Documentation

typedef UUID Nv::Blast::Serialization::UUID::UUID::Builder::Builds

## Constructor & Destructor Documentation

Nv::Blast::Serialization::UUID::UUID::Builder::Builder | ( |  | ) |

Nv::Blast::Serialization::UUID::UUID::Builder::Builder | ( | decltype(nullptr) |  | ) | `[inline]`

Nv::Blast::Serialization::UUID::UUID::Builder::Builder | ( | ::capnp::_::StructBuilder | base | ) | `[inline, explicit]`

## Member Function Documentation

void Nv::Blast::Serialization::UUID::UUID::Builder::adoptValue | ( | ::capnp::Orphan< ::capnp::Data > && | value | ) | `[inline]`

Reader Nv::Blast::Serialization::UUID::UUID::Builder::asReader | ( |  | ) | const`[inline]`

inline ::capnp::Orphan< ::capnp::Data> Nv::Blast::Serialization::UUID::UUID::Builder::disownValue | ( |  | ) |

inline ::capnp::Data::Builder Nv::Blast::Serialization::UUID::UUID::Builder::getValue | ( |  | ) |

bool Nv::Blast::Serialization::UUID::UUID::Builder::hasValue | ( |  | ) | `[inline]`

inline ::capnp::Data::Builder Nv::Blast::Serialization::UUID::UUID::Builder::initValue | ( | unsigned int | size | ) |

Nv::Blast::Serialization::UUID::UUID::Builder::operator Reader | ( |  | ) | const`[inline]`

void Nv::Blast::Serialization::UUID::UUID::Builder::setValue | ( | ::capnp::Data::Reader | value | ) | `[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::UUID::UUID::Builder::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::UUID::UUID::Builder::totalSize | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend struct ::capnp::_::PointerHelpers`[friend]`

friend class ::capnp::Orphanage`[friend]`

friend struct ::capnp::ToDynamic_`[friend]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtLlSerialization.capn.h